petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASSetInjection

Sets the function to be used to inject the solution from level l to l-1.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetInjection(SNES snes, PetscInt level, Mat mat)

### Input Parameters

+ snes - the multigrid context Many br
mat -the restriction matrix Many br
level -the level (0 is coarsest) to supply [Do not supply 0] Many br

Many br

### Notes

If you do not set this, the restriction and rscale is used to Many brproject the solution instead. Many br

### Keywords

FAS, MG, set, multigrid, restriction, level

### See Also

SNESFASSetInterpolation(), SNESFASSetRestriction()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages